<ion-header>
  <ion-navbar>
    <ion-title>Producten</ion-title>
  </ion-navbar>
</ion-header>

<ion-content class="content" padding>
  <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <ion-list style="padding-top: 30px;">
    <ion-card *ngFor="let productModel of facade.products">

      <ion-card-header style="font-size: 20px;" (click)="toggleProductContainer(productModel)">
        <button (click)="saveProduct(productModel)" ion-button [disabled]="!productModel.isActive"
                ngClass="{{productModel.isSaved? 'saved': 'not-saved'}}">Opslaan
        </button>
        {{productModel.product.name}} , €{{productModel.product.price | number : '1.2-2'}}
        <ion-icon [name]="displayIcon(productModel)" color="favorite" float-right
                  style="margin-left: 8px;"></ion-icon>
      </ion-card-header>

      <ion-card-content *ngIf="productModel.isActive" class="product-container">
        <ion-item>
          <ion-label stacked>Naam</ion-label>
          <ion-input (ionChange)="productChanged(productModel)" [(ngModel)]="productModel.product.name"
                     placeholder="Naam ingave"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label stacked>Prijs</ion-label>
          <ion-input (ionChange)="productChanged(productModel)" [(ngModel)]="productModel.product.price"
                     placeholder="Prijs ingave"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label stacked>Omschrijving</ion-label>
          <ion-input (ionChange)="productChanged(productModel)" [(ngModel)]="productModel.product.description"
                     placeholder="Omschrijving ingave"></ion-input>
        </ion-item>
        <div>
          <ion-label stacked>
            Categorie
          </ion-label>
          <div>
            {{productModel.product.category? productModel.product.category.name: 'Geen categorie'}}
            <button ion-button icon-only (click)="showCategoryPicker(productModel)">
              <ion-icon name="create"></ion-icon>
            </button>
          </div>
        </div>
      </ion-card-content>
    </ion-card>
  </ion-list>

  <ion-fab top right edge>
    <button ion-fab color="vibrant" (click)="createNewProduct()">
      <ion-icon name="add"></ion-icon>
    </button>
  </ion-fab>

</ion-content>
